package de.ozgcloud.nachrichten;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Configuration
@ConfigurationProperties(prefix = "ozgcloud.nachrichten-manager")
@Setter
@Getter
public class NachrichtenManagerProperties {

	/**
	 * URL of Nachrichten Manager instance
	 */
	private String address;
}
