package de.ozgcloud.nachrichten.postfach.bayernid;

import jakarta.validation.constraints.NotNull;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.validation.annotation.Validated;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Validated
@Configuration
@ConfigurationProperties(prefix = "ozgcloud.bayernid")
@ConditionalOnProperty(prefix = "ozgcloud.bayernid", name = { "enabled" })
@ConfigurationPropertiesScan
class BayernIdProperties {

	@NotNull
	private Absender absender;

}