package de.ozgcloud.nachrichten.postfach;

import de.ozgcloud.nachrichten.postfach.Postfach.PostfachBuilder;

public class PostfachTestFactory {

	public static final String POSTFACH_TYPE = "postfachType";

	public static final boolean REPLY_ALLOWED = true;

	public static Postfach create() {
		return createBuilder().build();
	}

	public static PostfachBuilder createBuilder() {
		return Postfach.builder()
				.type(POSTFACH_TYPE)
				.isReplyAllowed(REPLY_ALLOWED);
	}
}
